Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service
Interface UserAuthorityService

All Known Subinterfaces:
  ExternalUserService

All Known Implementing Classes:
  UserAuthorityServiceImpl

    public interface UserAuthorityService

Version:
  $Id: UserAuthorityService.java 8408 2007-05-29 23:29:12Z melih $
Author:
  swood

Method Summary
`void` | `addRole(ExecutionContext context, User aUser, Role role)`
`void` | `deleteRole(ExecutionContext context, java.lang.String roleName)`
`void` | `deleteUser(ExecutionContext context, java.lang.String username)`
`boolean` | `disableUser(ExecutionContext context, java.lang.String username)`
`boolean` | `enableUser(ExecutionContext context, java.lang.String username)`
`java.util.List` | `getAssignedRoles(ExecutionContext context, java.lang.String userName)`
`java.util.List` | `getAvailableRoles(ExecutionContext context, java.lang.String userName)`
`Role` | `getRole(ExecutionContext context, java.lang.String roleName)`
`java.util.List` | `getRoles(ExecutionContext context, FilterCriteria filterCriteria)`
`User` | `getUser(ExecutionContext context, java.lang.String username)`
`java.util.List` | `getUsers(ExecutionContext context, FilterCriteria filterCriteria)`
`java.util.List` | `getUsersInRole(ExecutionContext context, java.lang.String roleName)`
`java.util.List` | `getUsersNotInRole(ExecutionContext context, java.lang.String roleName)`
`Role` | `newRole(ExecutionContext context)`
`User` | `newUser(ExecutionContext context)`
`void` | `putRole(ExecutionContext context, Role aRole)`
`void` | `putUser(ExecutionContext context, User aUser)`
`void` | `removeAllRoles(ExecutionContext context, User aUser)`
`void` | `removeRole(ExecutionContext context, User aUser, Role role)`
`boolean` | `roleExists(ExecutionContext context, java.lang.String roleName)`
`boolean` | `userExists(ExecutionContext context, java.lang.String username)`

Method Detail

### getUser

    User getUser(ExecutionContext context,
                 java.lang.String username)

### putUser

    void putUser(ExecutionContext context,
                 User aUser)

### getUsers

    java.util.List getUsers(ExecutionContext context,
                            FilterCriteria filterCriteria)

### newUser

    User newUser(ExecutionContext context)

### deleteUser

    void deleteUser(ExecutionContext context,
                    java.lang.String username)

### userExists

    boolean userExists(ExecutionContext context,
                       java.lang.String username)

### disableUser

    boolean disableUser(ExecutionContext context,
                        java.lang.String username)

### enableUser

    boolean enableUser(ExecutionContext context,
                       java.lang.String username)

### addRole

    void addRole(ExecutionContext context,
                 User aUser,
                 Role role)

### removeRole

    void removeRole(ExecutionContext context,
                    User aUser,
                    Role role)

### removeAllRoles

    void removeAllRoles(ExecutionContext context,
                        User aUser)

### getRole

    Role getRole(ExecutionContext context,
                 java.lang.String roleName)

### putRole

    void putRole(ExecutionContext context,
                 Role aRole)

### getRoles

    java.util.List getRoles(ExecutionContext context,
                            FilterCriteria filterCriteria)

### newRole

    Role newRole(ExecutionContext context)

### deleteRole

    void deleteRole(ExecutionContext context,
                    java.lang.String roleName)

### getUsersNotInRole

    java.util.List getUsersNotInRole(ExecutionContext context,
                                     java.lang.String roleName)

### getUsersInRole

    java.util.List getUsersInRole(ExecutionContext context,
                                  java.lang.String roleName)

### getAssignedRoles

    java.util.List getAssignedRoles(ExecutionContext context,
                                    java.lang.String userName)

### getAvailableRoles

    java.util.List getAvailableRoles(ExecutionContext context,
                                     java.lang.String userName)

### roleExists

    boolean roleExists(ExecutionContext context,
                       java.lang.String roleName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.